function inputRestoreDefaultValue(__target_field) {
    var __default_value = undefined;
    ///
    function onFocus(__event) {
        var __target = $(__event.currentTarget);
        ///
        if (__default_value == __target.val()) __target.val("");
    }
    ///
    function onFocusOut(__event) {
        var __target = $(__event.currentTarget);       
        ///
        if (! __target.val()) __target.val(__default_value);
    }
    ///
    __default_value = __target_field.focus(onFocus).focusout(onFocusOut).val();
};

(function (__window) {
    function onLoad() {
        $("ul.mainnav").menu();
    }    
    ///
    $(onLoad);    
}(window));